Subject: Re: bug#30800: 26.0.91; unknown crash on macos

From: Eli Zaretskii <[email-masked]>
Date: Wed, 21 Mar 2018 20:48:12 +0200

> From: Aaron Jensen <[email-masked]>
> Date: Wed, 21 Mar 2018 11:31:12 -0700
> Cc: [email-masked], [email-masked]
> 
> I didn’t pass wide int afaik. So whatever the default is. I believe it has to do with posframe. I use both flycheck
> posframe and company posframe. If I disable the flycheck one I do not get crashes. It’s possible that they are
> both doing frame manipulation that is more frequent and new, which is exposing these. I believe that new
> package is more why this is happening now. 

OK.

It sounds like represented_frame might not get updated when the frame
whose pointer it holds is deleted.  Maybe x_destroy_window should make
sure represented_frame is not the frame being deleted?

Or maybe NS should not update represented_frame for child frames?

(I'm really stabbing in the dark here.)